List Live Channels
List Live Channels on the specified project.
Listing, Sorting and Filtering Live Channels
This endpoint returns the list of Live Channels in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas
where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, displayName, id, labels, name, spec/state, spec/transform/type, status/state, status/transformType, updated, updatedBy
Filtering
There are two ways to filter the set of returned Live Channels from this endpoint - the first is to use the $filter query parameter, the second is to use the
$label_key and $label query parameters.
The $filter query parameter allows for Live Channels to be filtered on the basis of fields in the schema using OData query syntax.
See this document for more details on the syntax used.
Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, displayName, id, labels, name, spec/inputs/content, spec/outputs/destination, spec/siteName, spec/state, spec/transform/type, status/deviceName, status/state, status/transformType, updated, updatedBy, updatedByEmail, updatedByName
$label_key and $label are specific to querying Live Channels based on their labels. Labels are a set of key-value pairs that can be used to identify Live Channels with
any arbitrary metadata you want, specifically for the purpose of retrieving relevant subsets of Live Channels.
Examples:
?$top=10 - Returns only the first 10 Live Channels from the list.
?$orderby=name desc - Sorts Live Channels by name in descending order.
?$filter=name eq 'descriptive name' - Returns Live Channels that match the provided name.
?$orderby=created desc - Sorts Live Channels by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns Live Channels created after January 1, 2021.
?$label=studio=paravalley - Returns Live Channels with the label studio set to paravalley.
?$label=release-date~2023 - Returns Live Channels with the label release-date set to a value that contains 2023.
?$label_key=studio&label_key=release-date - Returns Live Channels with any value set for the studio label and the release-date label.
RBAC Capability Required: transform.livechannel.get
Authentication
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Path parameters
Query parameters
n that limits the number of items returned from a collection.
The service returns the number of available items up to but not greater than the specified value n.@odata.nextLink in the result object to enumerate the collection -
it will be present only if there's more than one page of entities.Response
200 List of Live Channels
Show 5 propertiesHide 5 properties
Show 4 propertiesHide 4 properties
Show 2 propertiesHide 2 properties
Show 4 propertiesHide 4 properties
Show 10 propertiesHide 10 properties
Show value schemaHide value schema
Show 6 propertiesHide 6 properties
List of flow inputs.
Read Flow inputs and outputs to learn more about how to connect flow inputs between content and flow transform inputs.
Show 5 propertiesHide 5 properties
The <glossary:content> that the flow input is connected to. This also influences the content that will be available on the flow outputs.
Read Resolving content to learn more about how content is resolved to the <glossary:source>s and <glossary:flow>s that can supply it.
Show 2 propertiesHide 2 properties
Show 1 propertyHide 1 property
Show 2 propertiesHide 2 properties
status.inputPins[].name.List of flow outputs.
Read Flow inputs and outputs to learn more about how to connect flow outputs between flow transform outputs and destinations or to make them available to other flows.
Show 5 propertiesHide 5 properties
The destination to connect the flow output to. Omit this field to create an <<glossary:internal flow output>>.
Read Flows to learn more about how to connect flows to other flows.
status.outputPins[].name.Show 1 propertyHide 1 property
Show 4 variantsHide 4 variants
Discriminated by type. Select one variant:
LiveChannelobjectLiveChannelFlow
A 24x7 flow that takes live input and encodes it, storing the material in the asset named by the required assetName field.
Starting a LiveChannel flow will immediately charge the full monthly fee to your payment method, no matter how much of the month remains.
Please see LiveEvent for encoding billed by the minute.
Show 4 propertiesHide 4 properties
Show 1 variantHide 1 variant
Discriminated by type. Select one variant:
application/json-patch+jsonobjectFlowJsonPatchOverrides
Show 4 propertiesHide 4 properties
'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
Show 2 propertiesHide 2 properties
Show value schemaHide value schema
Show 4 propertiesHide 4 properties
Show 1 variantHide 1 variant
Discriminated by type. Select one variant:
application/json-patch+jsonobjectFlowJsonPatchOverrides
Show 4 propertiesHide 4 properties
'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
Show 2 propertiesHide 2 properties
Show value schemaHide value schema
LiveEventobjectLiveEventFlow
A flow that takes live input and encodes it, storing the material in the asset named by the required assetName field.
A LiveEvent flow is billed by the minute, please see LiveChannel for encoding billed by the month.
Show 4 propertiesHide 4 properties
Show 1 variantHide 1 variant
Discriminated by type. Select one variant:
application/json-patch+jsonobjectFlowJsonPatchOverrides
Show 4 propertiesHide 4 properties
'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
Show 2 propertiesHide 2 properties
Show value schemaHide value schema
Show 4 propertiesHide 4 properties
Show 1 variantHide 1 variant
Discriminated by type. Select one variant:
application/json-patch+jsonobjectFlowJsonPatchOverrides
Show 4 propertiesHide 4 properties
'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
Show 2 propertiesHide 2 properties
Show value schemaHide value schema
StaticMultiviewChannelobjectStaticMultiviewChannelFlow
A 24x7 flow that takes multiple live inputs, composes and encodes them, storing the material in the asset named by the required assetName field.
Supports two modes:
- With multiviewComposing: Inputs defined in multiviewComposing config.
- Without multiviewComposing: Inputs defined in encodingLive config using multiInputComposer input type.
Starting a StaticMultiviewChannel flow will immediately charge the full monthly fee to your payment method, no matter how much of the month remains.
Please see StaticMultiviewEvent for encoding billed by the minute.
Show 4 propertiesHide 4 properties
Show 1 variantHide 1 variant
Discriminated by type. Select one variant:
application/json-patch+jsonobjectFlowJsonPatchOverrides
Show 4 propertiesHide 4 properties
'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
Show 2 propertiesHide 2 properties
Show value schemaHide value schema
Show 4 propertiesHide 4 properties
Show 1 variantHide 1 variant
Discriminated by type. Select one variant:
application/json-patch+jsonobjectFlowJsonPatchOverrides
Show 4 propertiesHide 4 properties
'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
Show 2 propertiesHide 2 properties
Show value schemaHide value schema
Show 4 propertiesHide 4 properties
Show 1 variantHide 1 variant
Discriminated by type. Select one variant:
application/json-patch+jsonobjectFlowJsonPatchOverrides
Show 4 propertiesHide 4 properties
'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
Show 2 propertiesHide 2 properties
Show value schemaHide value schema
StaticMultiviewEventobjectStaticMultiviewEventFlow
A flow that takes multiple live inputs, composes and encodes them, storing the material in the asset named by the required assetName field.
Supports two modes:
- With multiviewComposing: Inputs defined in multiviewComposing config.
- Without multiviewComposing: Inputs defined in encodingLive config using multiInputComposer input type.
A StaticMultiviewEvent flow is billed by the minute, please see StaticMultiviewChannel for encoding billed by the month.
Show 4 propertiesHide 4 properties
Show 1 variantHide 1 variant
Discriminated by type. Select one variant:
application/json-patch+jsonobjectFlowJsonPatchOverrides
Show 4 propertiesHide 4 properties
'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
Show 2 propertiesHide 2 properties
Show value schemaHide value schema
Show 4 propertiesHide 4 properties
Show 1 variantHide 1 variant
Discriminated by type. Select one variant:
application/json-patch+jsonobjectFlowJsonPatchOverrides
Show 4 propertiesHide 4 properties
'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
Show 2 propertiesHide 2 properties
Show value schemaHide value schema
Show 4 propertiesHide 4 properties
Show 1 variantHide 1 variant
Discriminated by type. Select one variant:
application/json-patch+jsonobjectFlowJsonPatchOverrides
Show 4 propertiesHide 4 properties
'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".